Skip to main content
DELETE
/
api
/
v1
/
sip-trunks
/
{trunk_id}
/
dids
/
{phone_number_id}
curl -X DELETE "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/dids/phone-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here"
{
  "success": true,
  "message": "DID removed"
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Delete SIP Trunk DID

Remove a DID from a SIP trunk. The DID is also removed from your environment’s phone number pool. Detach it from any agents first.

Endpoint

DELETE /api/v1/sip-trunks/{trunk_id}/dids/{phone_number_id}

Path Parameters

trunk_id
string
required
SIP trunk UUID.
phone_number_id
string
required
UUID of the DID/phone number.

Request Headers

Authorization
string
required
Bearer token. Format: Bearer talq_your_environment_token_here

Examples

curl -X DELETE "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/dids/phone-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here"

Response

{
  "success": true,
  "message": "DID removed"
}

Error Responses

409 — DID In Use

{
  "success": false,
  "message": "DID is still assigned to active agents",
  "code": "DID_IN_USE"
}